#ifndef _DIALOG_H
#define _DIALOG_H

/* Copyright (c) 1994-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */


#include <xview/xview.h>
#include <xview/frame.h>
#include <xview/panel.h>


typedef struct {
  Frame frame;
  Panel_item list;
  int startup, borderht, rowht;
} popups_t;


extern popups_t popups[];
extern station_selected;


void position_popups(void);
void iconify_popups(int state);
void confirm_notice(const char *msg);
void confirm_notice_v(const char *msg, ...);
int chk_conf_overwrite(const char *path, int can_append);
void about_proc(void);
void stat_proc(void);
void sel_station_proc(void);
void sel_st_update(int update_sel);
void hotlist_proc(void);
void hot_update(void);
void history_proc(void);
void history_move(int direction);
void toptext_proc(void);
void toptext_go_nextpage(void);
void get_next_toppage(int history);
void toptext_go_prevpage(void);
void get_prev_toppage(int history);
void toptext_go_nextgrp(void);
void toptext_go_nextblk(void);
void toptext_ok_notify(void);
void pgdesc_update(int page);
void layout_proc(void);
void tvopt_proc(void);
void miscopt_proc(void);
void station_opt_proc(void);
void station_opt_update(void);
void spool_opt_proc(void);
void spool_opt_update(void);
void load_proc(void);
void save_proc(void);
void export_proc(void);

#endif /* _DIALOG_H */
